com.mxgraph.shape

## Class mxBasicShape

- java.lang.Object
- - com.mxgraph.shape.mxBasicShape

- All Implemented Interfaces:
    mxIShape
  Direct Known Subclasses:
    mxActorShape, mxArrowShape, mxCloudShape, mxConnectorShape, mxCylinderShape, mxEllipseShape, mxHexagonShape, mxLineShape, mxRectangleShape, mxRhombusShape, mxStencilShape, mxSwimlaneShape, mxTriangleShape

      public class mxBasicShape
      extends java.lang.Object
      implements mxIShape

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxBasicShape()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `configureGraphics(mxGraphics2DCanvas canvas, mxCellState state, boolean background)` Configures the graphics object ready to paint.
    `java.awt.Shape` | `createShape(mxGraphics2DCanvas canvas, mxCellState state)`
    `java.awt.Color` | `getFillColor(mxGraphics2DCanvas canvas, mxCellState state)`
    `protected mxRectangle` | `getGradientBounds(mxGraphics2DCanvas canvas, mxCellState state)`
    `java.awt.Color` | `getStrokeColor(mxGraphics2DCanvas canvas, mxCellState state)`
    `boolean` | `hasGradient(mxGraphics2DCanvas canvas, mxCellState state)`
    `boolean` | `hasShadow(mxGraphics2DCanvas canvas, mxCellState state)`
    `void` | `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### mxBasicShape

          public mxBasicShape()

  - ### Method Detail

    - #### paintShape

          public void paintShape(mxGraphics2DCanvas canvas,
                        mxCellState state)

      Specified by:
        `paintShape` in interface `mxIShape`

    - #### createShape

          public java.awt.Shape createShape(mxGraphics2DCanvas canvas,
                                   mxCellState state)

    - #### configureGraphics

          protected boolean configureGraphics(mxGraphics2DCanvas canvas,
                                  mxCellState state,
                                  boolean background)

      Configures the graphics object ready to paint.
      Parameters:
        `canvas` - the canvas to be painted to
        `state` - the state of cell to be painted
        `background` - whether or not this is the background stage of the shape paint
      Returns:
        whether or not the shape is ready to be drawn

    - #### getGradientBounds

          protected mxRectangle getGradientBounds(mxGraphics2DCanvas canvas,
                                      mxCellState state)

    - #### hasGradient

          public boolean hasGradient(mxGraphics2DCanvas canvas,
                            mxCellState state)

    - #### hasShadow

          public boolean hasShadow(mxGraphics2DCanvas canvas,
                          mxCellState state)

    - #### getFillColor

          public java.awt.Color getFillColor(mxGraphics2DCanvas canvas,
                                    mxCellState state)

    - #### getStrokeColor

          public java.awt.Color getStrokeColor(mxGraphics2DCanvas canvas,
                                      mxCellState state)

Copyright (c) 2010 Gaudenz Alder. All rights reserved.